function y = loadistar(starts, ends)
% compose a proxy of interest rate trend, istar
% istar = \pi* + r*
% \pi* is the Perceived Target Rate (PTR) from FRB/US model
% r* is the Laubach and Williams estimate of natural rate

% Import the data
FRBUS = readtable("./data/HISTDATA.TXT");
ptr = FRBUS(:,["OBS","PTR"]);
LB = readtable("./data/Laubach_Williams_current_estimates.xlsx", 'VariableNamingRule', 'preserve');
lb = LB(:,[1,7]);

% Expand quarterly data to monthly
date = datenum(FRBUS{1:210,1},'YYYYQQ');
y = year(date);
m = month(date);
mydata = [y m ptr{1:210,2} lb{29:end,2}];
mydata = kron(mydata, ones(3,1));
[~,m,~] = unique(100*mydata(:,1)+mydata(:,2),'first');
m2 = m+1; m3 = m+2; 
mydata(m2,2) = mydata(m2,2)+1; mydata(m3,2) = mydata(m3,2)+2; 
yyyymm = 100*mydata(:,1) + mydata(:,2);
istar = mydata(:,3) + mydata(:,4);
y = [yyyymm istar];









